Snort does not work



  • Snort does not work. Does not update. (20140204)

    -No problem at 20140203-0807-



  • Let me add some (hopefully useful) log file data:

    Feb 5 20:11:23 php: rc.start_packages: [Snort] Seems preprocessor/decoder rules are missing, enabling autogeneration of them
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_imap_preproc file. Snort might error out!
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_pop_preproc file. Snort might error out!
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_dns_preproc file. Snort might error out!
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_dce2_preproc file. Snort might error out!
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_ssh_preproc file. Snort might error out!
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_gtp_preproc file. Snort might error out!
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_sip_preproc file. Snort might error out!
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_ssl_preproc file. Snort might error out!
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_smtp_preproc file. Snort might error out!
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_ftptelnet_preproc file. Snort might error out!

    Regards,
    Dick



  • @DickB:

    Let me add some (hopefully useful) log file data:

    Feb 5 20:11:23 php: rc.start_packages: [Snort] Seems preprocessor/decoder rules are missing, enabling autogeneration of them
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_imap_preproc file. Snort might error out!
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_pop_preproc file. Snort might error out!
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_dns_preproc file. Snort might error out!
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_dce2_preproc file. Snort might error out!
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_ssh_preproc file. Snort might error out!
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_gtp_preproc file. Snort might error out!
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_sip_preproc file. Snort might error out!
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_ssl_preproc file. Snort might error out!
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_smtp_preproc file. Snort might error out!
    Feb 5 20:11:23 php: rc.start_packages: Could not find the libsf_ftptelnet_preproc file. Snort might error out!

    Regards,
    Dick

    These are sort of critical errors in that Snort is missing some of its shared-object libraries.  There is another new post on the 2.1.1-PRERELEASE thread about package reinstallation issues with NUT, so that points to an issue with the latest 2.1.1-PRERELEASE snapshot and its package reinstallation routines.  Hopefully the next snapshot will get things back to normal.  Snort has been reported to be working fine on the previous 2.1.1 snapshots (as you noted in your post).  The Snort package itself has not been updated since the middle of last week (and that was a minor PHP edit for a security hotfix).

    Bill



  • pfSense-Full-Update-2.1.1-PRERELEASE-amd64-20140205-1408  working properly.



  • Snort is alive again.

    2.1.1-PRERELEASE (i386) built on Thu Feb 6 02:09:11 EST 2014

    Thanks,
    Dick